Package org.kie.api.pmml

## Class DoubleFieldOutput

- java.lang.Object
- - org.kie.api.pmml.AbstractOutput<java.lang.Double>
  - - org.kie.api.pmml.DoubleFieldOutput

- All Implemented Interfaces:
    `PMML4Output<java.lang.Double>`

      public class DoubleFieldOutput
      extends AbstractOutput<java.lang.Double>

- - ### Field Summary

    - ### Fields inherited from class org.kie.api.pmml.AbstractOutput

      `weight`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoubleFieldOutput()` |
    `DoubleFieldOutput​(java.lang.String correlationId, java.lang.String name, java.lang.Double value)` |
    `DoubleFieldOutput​(java.lang.String correlationId, java.lang.String name, java.lang.String displayValue, java.lang.Double weight, java.lang.Double value)` |
    `DoubleFieldOutput​(java.lang.String correlationId, java.lang.String segmentationId, java.lang.String segmentId, java.lang.String name, java.lang.Double value)` |
    `DoubleFieldOutput​(java.lang.String correlationId, java.lang.String segmentationId, java.lang.String segmentId, java.lang.String name, java.lang.String displayValue, java.lang.Double weight, java.lang.Double value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Double` | `getValue()` |
    `int` | `hashCode()` |
    `void` | `setValue​(java.lang.Double value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.kie.api.pmml.AbstractOutput

      `getCorrelationId, getDisplayValue, getName, getSegmentationId, getSegmentId, getWeight, setCorrelationId, setDisplayValue, setName, setSegmentationId, setSegmentId, setWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleFieldOutput

          public DoubleFieldOutput()

    - #### DoubleFieldOutput

          public DoubleFieldOutput​(java.lang.String correlationId,
                                   java.lang.String name,
                                   java.lang.String displayValue,
                                   java.lang.Double weight,
                                   java.lang.Double value)

    - #### DoubleFieldOutput

          public DoubleFieldOutput​(java.lang.String correlationId,
                                   java.lang.String segmentationId,
                                   java.lang.String segmentId,
                                   java.lang.String name,
                                   java.lang.String displayValue,
                                   java.lang.Double weight,
                                   java.lang.Double value)

    - #### DoubleFieldOutput

          public DoubleFieldOutput​(java.lang.String correlationId,
                                   java.lang.String segmentationId,
                                   java.lang.String segmentId,
                                   java.lang.String name,
                                   java.lang.Double value)

    - #### DoubleFieldOutput

          public DoubleFieldOutput​(java.lang.String correlationId,
                                   java.lang.String name,
                                   java.lang.Double value)

  - ### Method Detail

    - #### getValue

          public java.lang.Double getValue()

    - #### setValue

          public void setValue​(java.lang.Double value)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractOutput<java.lang.Double>`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractOutput<java.lang.Double>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractOutput<java.lang.Double>`